class Query {
    static hasRestrictedWords(query) {
        const restrictedWords = [
            'UPDATE',
            'DELETE',
            'TRUNCATE',
            'INSERT',
            'DROP',
            'ALTER',
            'DECLARE',
            'BEGIN'
        ];
        const partialPattern = restrictedWords.join('\\s|').concat('\s');
        const PATTERN = new RegExp(`(?<!\\w)(${partialPattern})`, 'gim');
        if(PATTERN.test(query)) throw new Error('ERR_RESTRICTED_WORDS_FOUND');
    }
    static startsWithSelectClause(query) {
        if(!query.startsWith(query, 'SELECT')) throw new Error('ERR_QUERY_NOT_STARTS')
    }
    static prepare(query) {
        return query.toUpperCase().trim();
    }
    static validate(str) {
        if(!str) return false;
        let query = Query.prepare(str);
        try {
            Query.hasRestrictedWords(query);
            Query.startsWithSelectClause(query);
        } catch (error) {
            return false;
        }
        return true;
    }
}

module.exports = Query;