const parametrizacoes = require('../../model/parametrizacoes');
const Query = require('../../helpers/Query')
const route = (router) => {
  router.put('/data/connect/portal/*', (async (req, res) => {
    try {
      const {
        ID, NOME, ORDEM,
        DESCRICAO, ATIVO,
        COMANDO, INTERVALO, TIPO
      } = req.body;
      if(['L', 'A'].includes(TIPO) && !Query.validate(COMANDO)) {
        return res.status(400).send('ERR_INVALID_QUERY');
      }
      const result = await parametrizacoes.updateAssConfig({
        NOME,
        ORDEM,
        DESCRICAO,
        TIPO,
        ATIVO,
        COMANDO,
        INTERVALO,
        ID,
      })

      result.connection.commit();
      res.send('SUCCESS');
    } catch (error) {
      res.send(error);
    }
  }));

  router.delete('/data/connect/portal/*', (async (req, res) => {
    try {
      const result = await parametrizacoes.deleteAssConfig({
        ID: req.params[0]
      })

      result.connection.commit();
      res.send('Sucesso!');
    } catch (error) {
      res.send(error);
    }
  }));
}

module.exports = route;