import { AlertService } from '@zeedhi/common';

class Alert {
    alertColor = '#e68129';

    errorColor = 'error';

    successColor = 'success';

    tenSeconds = 10 * 1000;

    private alertMessage(name: string, text: string | Error, color:string, timeout?: number) {
        AlertService.show({
            name,
            text: text instanceof Error ? text.message : text,
            color,
            right: true,
            top: true,
            showDismiss: true,
            timeout: timeout || this.tenSeconds,
        });
    }

    showAlert(message: string | Error, timeout?: number, name?: string) {
        const popupName = name || 'alert-info';
        this.alertMessage(popupName, message, this.alertColor, timeout);
    }

    showError(message: string | Error, timeout?: number, name?: string) {
        const popupName = name || 'error-info';
        this.alertMessage(popupName, message, this.errorColor, timeout);
    }

    showSuccess(message: string | Error, timeout?: number, name?: string) {
        const popupName = name || 'success-info';
        this.alertMessage(popupName, message, this.successColor, timeout);
    }
}

export default new Alert();
