CREATE TABLE UPDATEREVENTOS
(
  CDFILIAL        VARCHAR2(4),
  CDEVENTO	      VARCHAR2(16),
  CDUUID		      VARCHAR2(36),
  CDPRODUCTID	    VARCHAR2(16),
  CDPRODFILIID	  VARCHAR2(16),
  IDSTEVENTO      VARCHAR2(32) NOT NULL CONSTRAINT CKC_IDSTEVENTO_UPDATEREVENTOS CHECK (IDSTEVENTO IN ('INSTALACAO_PENDENTE', 'INSTALACAO_EM_CURSO', 'REMOCAO_PENDENTE', 'REMOCAO_EM_CURSO', 'FINALIZADO', 'CANCELADO')),
  NRVERSAOATUAL	  VARCHAR2(12),
  NRVERSAOALVO	  VARCHAR2(12),
  IDCRIARVERSAO   VARCHAR2(1) DEFAULT 'N' NOT NULL CONSTRAINT CKC_IDCRIAVER_UPDATEREVENTOS CHECK (IDCRIARVERSAO IN ('S', 'N')),          
  NRORG           NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
  IDATIVO	        VARCHAR2(1) DEFAULT 'S' NOT NULL CONSTRAINT CKC_IDATIVO_UPDATEREVENTOS CHECK (IDATIVO IN ('S', 'N')),          
  DTINCLUSAO	    DATE NULL,
  DTULTATU	      DATE NULL,
  NRORGINCLUSAO   NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
  NRORGULTATU     NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL
)
/
/*
IDSTEVENTO pode assumir os valores:

Pendente de instalação (INSTALACAO_PENDENTE)
Instalação em curso (INSTALACAO_EM_CURSO)
Pendente de remoção (REMOCAO_PENDENTE)
Remoção em curso (REMOCAO_EM_CURSO)
Finalizado (FINALIZADO)
Cancelado (CANCELADO)
*/
CREATE TABLE UPDATERHISTORICO
(
  CDFILIAL        VARCHAR2(4),
  CDHISTORICO     VARCHAR2(16),
  CDEVENTO	      VARCHAR2(16),
  CDOPERADOR      VARCHAR2(12),
  CDUUID		      VARCHAR2(36),
  CDPRODUCTID	    VARCHAR2(16),
  NMPRODUCT 	    VARCHAR2(16),
  IDSTEVENTO      VARCHAR2(32) NOT NULL CONSTRAINT CKC_IDSTEVENTO_UPDHIST CHECK (IDSTEVENTO IN ('INSTALACAO_PENDENTE', 'INSTALACAO_EM_CURSO', 'REMOCAO_PENDENTE', 'REMOCAO_EM_CURSO', 'FINALIZADO', 'CANCELADO')),
  NRVERSAOATUAL	  VARCHAR2(12),
  NRVERSAOALVO	  VARCHAR2(12),
  IDCRIARVERSAO   VARCHAR2(1) DEFAULT 'N' NOT NULL,
  NRORG           NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
  IDATIVO	        VARCHAR2(1) DEFAULT 'S' NOT NULL CONSTRAINT CKC_IDATIVO_UPDHIST CHECK (IDATIVO IN ('S', 'N')),          
  DTINCLUSAO	    DATE NULL,
  DTULTATU	      DATE NULL,
  NRORGINCLUSAO   NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
  NRORGULTATU     NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL
)